[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SizeofResource

Return the size of a particular resource

## Declaration

Source position: resh.inc line 63

`function SizeofResource(`
`ModuleHandle: TFPResourceHMODULE;`
`ResHandle: TFPResourceHandle`
`):LongWord;`

## Description

SizeOfResource returns the size of the resource identified by ResHandle in module identified by ModuleHandle. ResHandle should be obtained from a call to LoadResource

## Errors

In case of an error, 0 is returned.

## See also

FindResource |  | Locate a resource and return a handle to it.
FreeResource |  | Free a loaded resource
LoadResource |  | Load a resource for use
LockResource |  | Lock a resource
UnlockResource |  | Unlock a previously locked resource
FreeResource |  | Free a loaded resource

Documentation generated on: Feb 26 2014